<?php
$tdatastockindetail = array();
$tdatastockindetail[".searchableFields"] = array();
$tdatastockindetail[".ShortName"] = "stockindetail";
$tdatastockindetail[".OwnerID"] = "";
$tdatastockindetail[".OriginalTable"] = "stockindetail";


$tdatastockindetail[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastockindetail[".originalPagesByType"] = $tdatastockindetail[".pagesByType"];
$tdatastockindetail[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastockindetail[".originalPages"] = $tdatastockindetail[".pages"];
$tdatastockindetail[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastockindetail[".originalDefaultPages"] = $tdatastockindetail[".defaultPages"];

//	field labels
$fieldLabelsstockindetail = array();
$fieldToolTipsstockindetail = array();
$pageTitlesstockindetail = array();
$placeHoldersstockindetail = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstockindetail["English"] = array();
	$fieldToolTipsstockindetail["English"] = array();
	$placeHoldersstockindetail["English"] = array();
	$pageTitlesstockindetail["English"] = array();
	$fieldLabelsstockindetail["English"]["Detailid"] = "Detailid";
	$fieldToolTipsstockindetail["English"]["Detailid"] = "";
	$placeHoldersstockindetail["English"]["Detailid"] = "";
	$fieldLabelsstockindetail["English"]["StockinID"] = "Stockin ID";
	$fieldToolTipsstockindetail["English"]["StockinID"] = "";
	$placeHoldersstockindetail["English"]["StockinID"] = "";
	$fieldLabelsstockindetail["English"]["ProductID"] = "Product ID";
	$fieldToolTipsstockindetail["English"]["ProductID"] = "";
	$placeHoldersstockindetail["English"]["ProductID"] = "";
	$fieldLabelsstockindetail["English"]["Qty"] = "Qty";
	$fieldToolTipsstockindetail["English"]["Qty"] = "";
	$placeHoldersstockindetail["English"]["Qty"] = "";
	$fieldLabelsstockindetail["English"]["Unitname"] = "Unitname";
	$fieldToolTipsstockindetail["English"]["Unitname"] = "";
	$placeHoldersstockindetail["English"]["Unitname"] = "";
	$fieldLabelsstockindetail["English"]["Price"] = "Price";
	$fieldToolTipsstockindetail["English"]["Price"] = "";
	$placeHoldersstockindetail["English"]["Price"] = "";
	if (count($fieldToolTipsstockindetail["English"]))
		$tdatastockindetail[".isUseToolTips"] = true;
}


	$tdatastockindetail[".NCSearch"] = true;



$tdatastockindetail[".shortTableName"] = "stockindetail";
$tdatastockindetail[".nSecOptions"] = 0;

$tdatastockindetail[".mainTableOwnerID"] = "";
$tdatastockindetail[".entityType"] = 0;
$tdatastockindetail[".connId"] = "eflejob_at_localhost";


$tdatastockindetail[".strOriginalTableName"] = "stockindetail";

	



$tdatastockindetail[".showAddInPopup"] = false;

$tdatastockindetail[".showEditInPopup"] = false;

$tdatastockindetail[".showViewInPopup"] = false;

	$tdatastockindetail[".listAjax"] = true;
//	temporary
//$tdatastockindetail[".listAjax"] = false;

	$tdatastockindetail[".audit"] = false;

	$tdatastockindetail[".locking"] = false;


$pages = $tdatastockindetail[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastockindetail[".edit"] = true;
	$tdatastockindetail[".afterEditAction"] = 1;
	$tdatastockindetail[".closePopupAfterEdit"] = 1;
	$tdatastockindetail[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastockindetail[".add"] = true;
$tdatastockindetail[".afterAddAction"] = 1;
$tdatastockindetail[".closePopupAfterAdd"] = 1;
$tdatastockindetail[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastockindetail[".list"] = true;
}



$tdatastockindetail[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastockindetail[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastockindetail[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastockindetail[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastockindetail[".printFriendly"] = true;
}



$tdatastockindetail[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastockindetail[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastockindetail[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastockindetail[".isUseAjaxSuggest"] = true;



									

$tdatastockindetail[".ajaxCodeSnippetAdded"] = false;

$tdatastockindetail[".buttonsAdded"] = false;

$tdatastockindetail[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastockindetail[".isUseTimeForSearch"] = false;


$tdatastockindetail[".badgeColor"] = "6b8e23";


$tdatastockindetail[".allSearchFields"] = array();
$tdatastockindetail[".filterFields"] = array();
$tdatastockindetail[".requiredSearchFields"] = array();

$tdatastockindetail[".googleLikeFields"] = array();
$tdatastockindetail[".googleLikeFields"][] = "Detailid";
$tdatastockindetail[".googleLikeFields"][] = "StockinID";
$tdatastockindetail[".googleLikeFields"][] = "ProductID";
$tdatastockindetail[".googleLikeFields"][] = "Qty";
$tdatastockindetail[".googleLikeFields"][] = "Unitname";
$tdatastockindetail[".googleLikeFields"][] = "Price";



$tdatastockindetail[".tableType"] = "list";

$tdatastockindetail[".printerPageOrientation"] = 0;
$tdatastockindetail[".nPrinterPageScale"] = 100;

$tdatastockindetail[".nPrinterSplitRecords"] = 40;

$tdatastockindetail[".geocodingEnabled"] = false;










$tdatastockindetail[".pageSize"] = 20;

$tdatastockindetail[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatastockindetail[".strOrderBy"] = $tstrOrderBy;

$tdatastockindetail[".orderindexes"] = array();


$tdatastockindetail[".sqlHead"] = "SELECT Detailid,  	StockinID,  	ProductID,  	Qty,  	Unitname,  	Price";
$tdatastockindetail[".sqlFrom"] = "FROM stockindetail";
$tdatastockindetail[".sqlWhereExpr"] = "";
$tdatastockindetail[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastockindetail[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastockindetail[".arrGroupsPerPage"] = $arrGPP;

$tdatastockindetail[".highlightSearchResults"] = true;

$tableKeysstockindetail = array();
$tableKeysstockindetail[] = "Detailid";
$tdatastockindetail[".Keys"] = $tableKeysstockindetail;


$tdatastockindetail[".hideMobileList"] = array();




//	Detailid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Detailid";
	$fdata["GoodName"] = "Detailid";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","Detailid");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "Detailid";

		$fdata["sourceSingle"] = "Detailid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Detailid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["Detailid"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "Detailid";
//	StockinID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "StockinID";
	$fdata["GoodName"] = "StockinID";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","StockinID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "StockinID";

		$fdata["sourceSingle"] = "StockinID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockinID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "stockin";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "StockID";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "Noted";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["StockinID"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "StockinID";
//	ProductID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ProductID";
	$fdata["GoodName"] = "ProductID";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","ProductID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "ProductID";

		$fdata["sourceSingle"] = "ProductID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProductID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "productitem";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"Unitname", 'lookupF'=>"Unitname");
	$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "ProductID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Proname";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["ProductID"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "ProductID";
//	Qty
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Qty";
	$fdata["GoodName"] = "Qty";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","Qty");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Qty";

		$fdata["sourceSingle"] = "Qty";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Qty";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["Qty"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "Qty";
//	Unitname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Unitname";
	$fdata["GoodName"] = "Unitname";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","Unitname");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Unitname";

		$fdata["sourceSingle"] = "Unitname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Unitname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["Unitname"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "Unitname";
//	Price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Price";
	$fdata["GoodName"] = "Price";
	$fdata["ownerTable"] = "stockindetail";
	$fdata["Label"] = GetFieldLabel("stockindetail","Price");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Price";

		$fdata["sourceSingle"] = "Price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockindetail["Price"] = $fdata;
		$tdatastockindetail[".searchableFields"][] = "Price";


$tables_data["stockindetail"]=&$tdatastockindetail;
$field_labels["stockindetail"] = &$fieldLabelsstockindetail;
$fieldToolTips["stockindetail"] = &$fieldToolTipsstockindetail;
$placeHolders["stockindetail"] = &$placeHoldersstockindetail;
$page_titles["stockindetail"] = &$pageTitlesstockindetail;


changeTextControlsToDate( "stockindetail" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["stockindetail"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["stockindetail"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="productitem";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="productitem";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "productitem";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stockindetail"][0] = $masterParams;
				$masterTablesData["stockindetail"][0]["masterKeys"] = array();
	$masterTablesData["stockindetail"][0]["masterKeys"][]="ProductID";
				$masterTablesData["stockindetail"][0]["detailKeys"] = array();
	$masterTablesData["stockindetail"][0]["detailKeys"][]="ProductID";
		
	//endif
	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="stockin";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="stockin";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "stockin";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stockindetail"][1] = $masterParams;
				$masterTablesData["stockindetail"][1]["masterKeys"] = array();
	$masterTablesData["stockindetail"][1]["masterKeys"][]="StockID";
				$masterTablesData["stockindetail"][1]["detailKeys"] = array();
	$masterTablesData["stockindetail"][1]["detailKeys"][]="StockinID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stockindetail()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Detailid,  	StockinID,  	ProductID,  	Qty,  	Unitname,  	Price";
$proto0["m_strFrom"] = "FROM stockindetail";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Detailid",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto6["m_sql"] = "Detailid";
$proto6["m_srcTableName"] = "stockindetail";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "StockinID",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto8["m_sql"] = "StockinID";
$proto8["m_srcTableName"] = "stockindetail";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ProductID",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto10["m_sql"] = "ProductID";
$proto10["m_srcTableName"] = "stockindetail";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Qty",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto12["m_sql"] = "Qty";
$proto12["m_srcTableName"] = "stockindetail";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Unitname",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto14["m_sql"] = "Unitname";
$proto14["m_srcTableName"] = "stockindetail";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Price",
	"m_strTable" => "stockindetail",
	"m_srcTableName" => "stockindetail"
));

$proto16["m_sql"] = "Price";
$proto16["m_srcTableName"] = "stockindetail";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "stockindetail";
$proto19["m_srcTableName"] = "stockindetail";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "Detailid";
$proto19["m_columns"][] = "StockinID";
$proto19["m_columns"][] = "ProductID";
$proto19["m_columns"][] = "Qty";
$proto19["m_columns"][] = "Unitname";
$proto19["m_columns"][] = "Price";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "stockindetail";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "stockindetail";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stockindetail";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stockindetail = createSqlQuery_stockindetail();


	
		;

						

$tdatastockindetail[".sqlquery"] = $queryData_stockindetail;



$tdatastockindetail[".hasEvents"] = false;

?>